> ## Documentation Index
> Fetch the complete documentation index at: https://kapso-1adbad2d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List broadcasts

> Get all broadcasts for your project with optional filtering.

Returns broadcasts ordered by most recent first.




## OpenAPI

````yaml api/legacy/openapi-platform.yaml get /whatsapp_broadcasts
openapi: 3.0.3
info:
  title: Kapso Platform API
  description: >-
    Build WhatsApp automation into your SaaS. Let your customers connect their
    own WhatsApp Business accounts.
  version: 1.0.0
  contact:
    name: Kapso Support
servers:
  - url: https://app.kapso.ai/api/v1
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /whatsapp_broadcasts:
    get:
      tags:
        - WhatsApp Broadcasts
      summary: List broadcasts
      description: |
        Get all broadcasts for your project with optional filtering.

        Returns broadcasts ordered by most recent first.
      operationId: listWhatsappBroadcasts
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: per_page
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: q[whatsapp_config_id_eq]
          in: query
          description: Filter by exact WhatsApp config ID
          schema:
            type: string
            format: uuid
        - name: q[whatsapp_template_id_eq]
          in: query
          description: Filter by exact template ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of broadcasts
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WhatsappBroadcast'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
              examples:
                list_broadcasts:
                  summary: List of broadcasts
                  value:
                    data:
                      - id: 5f6a7b8c-9d0e-1f2a-3b4c-5d6e7f8a9b0c
                        name: July Promo
                        status: completed
                        started_at: '2025-07-15T10:00:00Z'
                        completed_at: '2025-07-15T11:30:00Z'
                        created_at: '2025-07-14T15:00:00Z'
                        updated_at: '2025-07-15T11:30:00Z'
                        whatsapp_config_id: 4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d
                        whatsapp_template:
                          id: 7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d
                          name: july_promo_template
                          language_code: en_US
                          category: MARKETING
                          status: approved
                        total_recipients: 1000
                        sent_count: 950
                        failed_count: 50
                        delivered_count: 900
                        read_count: 750
                        responded_count: 120
                        pending_count: 0
                        response_rate: 12.6
                        stats:
                          total: 1000
                          sent: 950
                          failed: 50
                          delivered: 900
                          read: 750
                          responded: 120
                          pending: 0
                      - id: 3c4d5e6f-7a8b-9c0d-1e2f-3a4b5c6d7e8f
                        name: Summer Sale
                        status: sending
                        started_at: '2025-07-16T09:00:00Z'
                        completed_at: null
                        created_at: '2025-07-16T08:00:00Z'
                        updated_at: '2025-07-16T09:15:00Z'
                        whatsapp_config_id: 4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d
                        whatsapp_template:
                          id: 9d0e1f2a-3b4c-5d6e-7f8a-9b0c1d2e3f4a
                          name: summer_sale_template
                          language_code: en_US
                          category: MARKETING
                          status: approved
                        total_recipients: 500
                        sent_count: 250
                        failed_count: 10
                        delivered_count: 240
                        read_count: 100
                        responded_count: 15
                        pending_count: 240
                        response_rate: 6
                        stats:
                          total: 500
                          sent: 250
                          failed: 10
                          delivered: 240
                          read: 100
                          responded: 15
                          pending: 240
                    meta:
                      page: 1
                      per_page: 20
                      total_pages: 1
                      total_count: 2
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WhatsappBroadcast:
      type: object
      description: WhatsApp broadcast campaign
      properties:
        id:
          type: string
          format: uuid
          example: 5f6a7b8c-9d0e-1f2a-3b4c-5d6e7f8a9b0c
        name:
          type: string
          example: July Promo
        status:
          type: string
          enum:
            - draft
            - sending
            - completed
            - failed
          example: draft
          description: Current broadcast status
        started_at:
          type: string
          format: date-time
          nullable: true
          example: '2025-07-15T10:00:00Z'
        completed_at:
          type: string
          format: date-time
          nullable: true
          example: '2025-07-15T11:30:00Z'
        created_at:
          type: string
          format: date-time
          example: '2025-07-14T15:00:00Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-07-15T11:30:00Z'
        whatsapp_config_id:
          type: string
          format: uuid
          example: 4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d
          description: WhatsApp config ID
        whatsapp_template:
          $ref: '#/components/schemas/BasicWhatsappTemplate'
        total_recipients:
          type: integer
          example: 123
          description: Total number of recipients
        sent_count:
          type: integer
          example: 100
        failed_count:
          type: integer
          example: 23
        delivered_count:
          type: integer
          example: 90
        read_count:
          type: integer
          example: 75
        responded_count:
          type: integer
          example: 12
        pending_count:
          type: integer
          example: 0
        response_rate:
          type: number
          format: float
          example: 12
          description: Percentage of recipients who responded
        stats:
          $ref: '#/components/schemas/WhatsappBroadcastStats'
    PaginationMeta:
      type: object
      properties:
        page:
          type: integer
          example: 1
        per_page:
          type: integer
          example: 20
        total_pages:
          type: integer
          example: 5
        total_count:
          type: integer
          example: 100
    Error:
      type: object
      properties:
        error:
          type: string
          example: Resource not found
    BasicWhatsappTemplate:
      type: object
      description: Basic WhatsApp template info (nested in broadcast response)
      properties:
        id:
          type: string
          format: uuid
          example: 7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d
        name:
          type: string
          example: july_promo_template
        language_code:
          type: string
          example: en_US
        category:
          type: string
          enum:
            - MARKETING
            - UTILITY
            - AUTHENTICATION
          example: MARKETING
        status:
          type: string
          enum:
            - approved
            - pending
            - rejected
          example: approved
    WhatsappBroadcastStats:
      type: object
      description: Broadcast delivery statistics
      properties:
        total:
          type: integer
          example: 123
        sent:
          type: integer
          example: 100
        failed:
          type: integer
          example: 23
        delivered:
          type: integer
          example: 90
        read:
          type: integer
          example: 75
        responded:
          type: integer
          example: 12
        pending:
          type: integer
          example: 0
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your project API key

````